Subject: [Ietf-calsify] Section 4.8.4.4 Recurrence ID: Allowed forms for a DATE-TIME

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Sun Nov 5 14:32:38 2006

In section 4.8.4.4 Recurrence ID of RFC 2445 it says:

 > Value Type: The default value type for this property is DATE-TIME.
 > The time format can be any of the valid forms defined for a DATE-TIME
 > value type. See DATE-TIME value type definition for specific
 > interpretations of the various forms. The value type can be set to
 > DATE.

I don't believe it should be possible to specify a "RECURRENCE-ID"
property with a "floating" date-time.

Proposed text:

 > Value Type: The default value type is DATE-TIME. The date-time
 >    value MUST be either a date with UTC time, or a date with
 >    local time and time zone reference. The value type can be
 >    set to a DATE value type.

Cheers,
Bernard

---

From: TimHare at comcast.net (Tim Hare)
Date: Sun Nov 5 15:13:19 2006

Wait! Are you saying that recurrence rules cannot use "floating" date-time?
There's a very good use case for it: conference scheduling. There might be
an "administrivia" meeting every morning of the conference week at the same
time and place - a clear case for recurrence - yet, many attendees do not
like to set their devices to the local time of the conference (unless the
device changes to local time automatically as cell phones do) and so the
conference schedule is published in "floating" time. 

Tim Hare
Interested Bystander, Non-Inc.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Bernard
Desruisseaux
Sent: Sunday, November 05, 2006 5:31 PM
To: Calsify WG
Subject: [Ietf-calsify] Section 4.8.4.4 Recurrence ID: Allowed forms for
aDATE-TIME

In section 4.8.4.4 Recurrence ID of RFC 2445 it says:

 > The time format can be any of the valid forms defined for a DATE-TIME  >
value type. See DATE-TIME value type definition for specific  >
interpretations of the various forms. The value type can be set to  > DATE.

 >    set to a DATE value type.

Cheers,
Bernard
_______________________________________________
Ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Sun Nov 5 15:53:29 2006

> Wait! Are you saying that recurrence rules cannot use "floating" date-time?

Humm.  I was.  On second thought, I realize that this needs to be possible.

> conference schedule is published in "floating" time. 

I don't believe anybody should publish a conference schedule in "floating
time", but I agree that one might want to publish recurring floating
events such as "Lunch" or "Diner"...

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Mon Nov 6 07:32:45 2006

Hi Bernard,

--On November 5, 2006 6:53:01 PM -0500 Bernard Desruisseaux 
<[email-masked]> wrote:

>> There's a very good use case for it: conference scheduling. There might
>> be an "administrivia" meeting every morning of the conference week at
>> the same time and place - a clear case for recurrence - yet, many
>> attendees do not like to set their devices to the local time of the
>> conference (unless the device changes to local time automatically as
>> cell phones do) and so the conference schedule is published in
>> "floating" time.
>

Yes - we must allow floating time recurring events.

-- 
Cyrus Daboo